org.apache.bcel.generic

## Class ClassElementValueGen

- java.lang.Object
- - org.apache.bcel.generic.ElementValueGen
  - - org.apache.bcel.generic.ClassElementValueGen

-     public class ClassElementValueGen
      extends ElementValueGen

  Since:
    6.0

- - ### Field Summary

    - ### Fields inherited from class org.apache.bcel.generic.ElementValueGen

      `ANNOTATION, ARRAY, CLASS, cpGen, ENUM_CONSTANT, PRIMITIVE_BOOLEAN, PRIMITIVE_BYTE, PRIMITIVE_CHAR, PRIMITIVE_DOUBLE, PRIMITIVE_FLOAT, PRIMITIVE_INT, PRIMITIVE_LONG, PRIMITIVE_SHORT, STRING, type`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `ClassElementValueGen(ClassElementValue value, ConstantPoolGen cpool, boolean copyPoolEntries)`
    `protected` | `ClassElementValueGen(int typeIdx, ConstantPoolGen cpool)`
    `` | `ClassElementValueGen(ObjectType t, ConstantPoolGen cpool)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dump(DataOutputStream dos)`
    `String` | `getClassString()`
    `ElementValue` | `getElementValue()` Return immutable variant of this ClassElementValueGen
    `int` | `getIndex()`
    `String` | `stringifyValue()`

    - ### Methods inherited from class org.apache.bcel.generic.ElementValueGen

      `copy, getConstantPool, getElementValueType, readElementValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClassElementValueGen

          protected ClassElementValueGen(int typeIdx,
                                         ConstantPoolGen cpool)

    - #### ClassElementValueGen

          public ClassElementValueGen(ObjectType t,
                                      ConstantPoolGen cpool)

    - #### ClassElementValueGen

          public ClassElementValueGen(ClassElementValue value,
                                      ConstantPoolGen cpool,
                                      boolean copyPoolEntries)

  - ### Method Detail

    - #### getElementValue

          public ElementValue getElementValue()

      Return immutable variant of this ClassElementValueGen
      Specified by:
        `getElementValue` in class `ElementValueGen`

    - #### getIndex

          public int getIndex()

    - #### getClassString

          public String getClassString()

    - #### stringifyValue

          public String stringifyValue()

      Specified by:
        `stringifyValue` in class `ElementValueGen`

    - #### dump

          public void dump(DataOutputStream dos)
                    throws IOException

      Specified by:
        `dump` in class `ElementValueGen`
      Throws:
        `IOException`

Copyright © 2004–2017 The Apache Software Foundation. All rights reserved.